Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		orc
#Epoch:		0
Version:	0.4.11
Release:	1
License:	BSD
URL:		http://code.entropywave.com/projects/orc/
Group:		Development/Languages
Summary:	The Oil Runtime Compiler
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: pkg-config

%description
Orc is a library and set of tools for compiling and executing very simple programs that operate on arrays of data.  The “language” is a generic assembly language that represents many of the features available in SIMD architectures, including saturated addition and subtraction, and many arithmetic operations.

%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/orc-bugreport
%{_bindir}/orcc
%{_libdir}/liborc-0.4.so.*
%{_libdir}/liborc-test-0.4.so.*
#%{_libdir}/orc

%files devel
%defattr(-,root,root)
%{_includedir}/orc-0.4
%{_libdir}/liborc-0.4.a
%{_libdir}/liborc-0.4.la
%{_libdir}/liborc-0.4.so
%{_libdir}/liborc-test-0.4.a
%{_libdir}/liborc-test-0.4.la
%{_libdir}/liborc-test-0.4.so
%{_pkgconfig}/orc-0.4.pc
%{_datadir}/gtk-doc/html/orc/ch01.html
%{_datadir}/gtk-doc/html/orc/ch02.html
%{_datadir}/gtk-doc/html/orc/ch03.html
%{_datadir}/gtk-doc/html/orc/ch04.html
%{_datadir}/gtk-doc/html/orc/ch05.html
%{_datadir}/gtk-doc/html/orc/home.png
%{_datadir}/gtk-doc/html/orc/index.html
%{_datadir}/gtk-doc/html/orc/index.sgml
%{_datadir}/gtk-doc/html/orc/left.png
%{_datadir}/gtk-doc/html/orc/orc-ARM.html
%{_datadir}/gtk-doc/html/orc/orc-building.html
%{_datadir}/gtk-doc/html/orc/orc-concepts.html
%{_datadir}/gtk-doc/html/orc/orc.devhelp
%{_datadir}/gtk-doc/html/orc/orc.devhelp2
%{_datadir}/gtk-doc/html/orc/orc-misc.html
%{_datadir}/gtk-doc/html/orc/orc-MMX.html
%{_datadir}/gtk-doc/html/orc/orc-opcodes.html
%{_datadir}/gtk-doc/html/orc/orc-OrcCompiler.html
%{_datadir}/gtk-doc/html/orc/orc-OrcDebug.html
%{_datadir}/gtk-doc/html/orc/orc-OrcExecutor.html
%{_datadir}/gtk-doc/html/orc/orc-Orc.html
%{_datadir}/gtk-doc/html/orc/orc-OrcOpcode.html
%{_datadir}/gtk-doc/html/orc/orc-OrcProgram.html
%{_datadir}/gtk-doc/html/orc/orc-OrcRule.html
%{_datadir}/gtk-doc/html/orc/orc-PowerPC.html
%{_datadir}/gtk-doc/html/orc/orc-SSE.html
%{_datadir}/gtk-doc/html/orc/orc-Utility-functions.html
%{_datadir}/gtk-doc/html/orc/orc-x86.html
%{_datadir}/gtk-doc/html/orc/right.png
%{_datadir}/gtk-doc/html/orc/style.css
%{_datadir}/gtk-doc/html/orc/up.png
%{_datadir}/gtk-doc/html/orc/orc-tutorial.html



%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Sun Dec 19 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.4.11-1
- Version update
* Thu Jul 15 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.4.6-1
- Version update
* Tue Mar 09 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.4.3-1
- initial CCux package release
